---
- hosts: localhost
  tags: [ always ]
  tasks:
  - set_fact:
      our_required_packages:
      - wget            # upstream-testsuite-execution-and-rebuild-test needs wget command
      - yum-utils       # upstream-testsuite-execution-and-rebuild-test needs yum-builddep command
      - rpm-build       # upstream-testsuite-execution-and-rebuild-test needs rpmbuild command

- hosts: localhost
  tags:
  - classic
  roles:
  - role: standard-test-beakerlib
    tests:
    - upstream-testsuite-execution-and-rebuild-test
    required_packages: "{{ our_required_packages }}"
